from setuptools import find_packages
from setuptools import setup

PROJECT = 'dcc'

VERSION = '0.0.1'

long_description = ''

setup(
    name=PROJECT,
    version=VERSION,
    description='Doom Command Center',
    long_description=long_description,
    author='yrriban',
    author_email='yrriban@gmail.com',
    platforms=['Any'],
    install_requires=['cliff'],
    packages=find_packages(),
    include_package_data=True,
    entry_points={
        'console_scripts': ['dcc=dcc.main:main'],
        'dcc': [
            'play = dcc.play:Play',
            'record = dcc.record:Record',
            'fabricate = dcc.fabricate:Fabricate',
            'put = dcc.put:Put',
            'pb = dcc.pb:PB',
            'ss = dcc.ss:SS',
            'extract = dcc.extract:Extract',
            'fetch = dcc.fetch:Fetch',
            'text = dcc.text:Text',
            'thumb = dcc.thumb:Thumb',
            'dsda = dcc.dsda:DSDA',
            'eureka = dcc.eureka:Eureka',
            'ls = dcc.ls:List',
            'configure = dcc.configure:Configure',
            'concat = dcc.concat:Concat',
        ],
    },
    zip_safe=False,
)
